Loading...
Searching...
No Matches
Opm::DiscreteFractureIntensiveQuantities< TypeTag > Class Template Reference

Contains the quantities which are are constant within a finite volume in the discret fracture immiscible multi-phase model. More...

`#include <discretefractureintensivequantities.hh>`

Inheritance diagram for Opm::DiscreteFractureIntensiveQuantities< TypeTag >:

## Public Member Functions

| DiscreteFractureIntensiveQuantities (const DiscreteFractureIntensiveQuantities &)=default
DiscreteFractureIntensiveQuantities & | operator= (const DiscreteFractureIntensiveQuantities &)=default
void | update (const ElementContext &elemCtx, unsigned vertexIdx, unsigned timeIdx)
Scalar | fractureRelativePermeability (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.
Scalar | fractureMobility (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.
Scalar | fracturePorosity () const
| Returns the average porosity within the fracture.
const DimMatrix & | fractureIntrinsicPermeability () const
| Returns the average intrinsic permeability within the fracture.
Scalar | fractureVolume () const
| Return the volume [m^2] occupied by fractures within the given sub-control volume.
const FluidState & | fractureFluidState () const
| Returns a fluid state object which represents the thermodynamic state of the fluids within the fracture.
Public Member Functions inherited from Opm::ImmiscibleIntensiveQuantities< TypeTag >
| ImmiscibleIntensiveQuantities (const ImmiscibleIntensiveQuantities &other)=default
ImmiscibleIntensiveQuantities & | operator= (const ImmiscibleIntensiveQuantities &other)=default
void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
const FluidState & | fluidState () const
| Returns the phase state for the control-volume.
const DimMatrix & | intrinsicPermeability () const
| Returns the intrinsic permeability tensor a degree of freedom.
const Evaluation & | relativePermeability (unsigned phaseIdx) const
| Returns the relative permeability of a given phase within the control volume.
const Evaluation & | mobility (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.
const Evaluation & | porosity () const
| Returns the average porosity within the control volume.

## Protected Attributes

FluidState | fractureFluidState_
Scalar | fractureVolume_
Scalar | fracturePorosity_
DimMatrix | fractureIntrinsicPermeability_
std::array< Scalar, numPhases > | fractureRelativePermeabilities_
Protected Attributes inherited from Opm::ImmiscibleIntensiveQuantities< TypeTag >
FluidState | fluidState_
Evaluation | porosity_
DimMatrix | intrinsicPerm_
Evaluation | relativePermeability_ [numPhases]
Evaluation | mobility_ [numPhases]

## Detailed Description

template<class TypeTag>
class Opm::DiscreteFractureIntensiveQuantities< TypeTag >

Contains the quantities which are are constant within a finite volume in the discret fracture immiscible multi-phase model.

## Member Function Documentation

## fractureMobility()

template<class TypeTag>

Scalar Opm::DiscreteFractureIntensiveQuantities< TypeTag >::fractureMobility | ( | unsigned | phaseIdx | ) | const

inline

Returns the effective mobility of a given phase within the control volume.

Parameters

  phaseIdx | The phase index

## fractureRelativePermeability()

template<class TypeTag>

Scalar Opm::DiscreteFractureIntensiveQuantities< TypeTag >::fractureRelativePermeability | ( | unsigned | phaseIdx | ) | const

inline

Returns the effective mobility of a given phase within the control volume.

Parameters

  phaseIdx | The phase index

## update()

template<class TypeTag>

void Opm::DiscreteFractureIntensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | vertexIdx,
|  | unsigned | timeIdx )

inline

The documentation for this class was generated from the following file:

- opm/models/discretefracture/discretefractureintensivequantities.hh